[package]
name = "obikpartitionner"
version = "0.1.0"
edition = "2024"

[dev-dependencies]
tempfile = "3"
obikseq   = { path = "../obikseq",   features = ["test-utils"] }
obiskbuilder = { path = "../obiskbuilder" }
obiread   = { path = "../obiread" }
obikrope  = { path = "../obikrope" }

[dependencies]
niffler = "3.0.0"
remove_dir_all = "0.8"
obikseq      = { path = "../obikseq" }
obiskio      = { path = "../obiskio" }
obidebruinj  = { path = "../obidebruinj" }
obilayeredmap = { path = "../obilayeredmap" }
rayon = "1"
sysinfo = "0.33"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
tracing = "0.1.44"
cacheline-ef = "1.1"
epserde = "0.8"
memmap2 = "0.9.10"
obicompactvec = { path = "../obicompactvec" }
ptr_hash = "1.1"
indicatif = "0.17"
obisys    = { path = "../obisys" }
